# $Revision: 1.57 $, $Date: 2007/03/26 19:27:13 $
Summary:	Common SGML catalog and DTD files
Summary(pl.UTF-8):	Opisane w normie ISO 8879/1986 katalogi i DTD SGML-owe
Name:		sgml-common
Version:	0.6.3
Release:	6
License:	distributable
##Copyright:	(C) International Organization for Standardization 1986
URL:		http://www.iso.ch/cate/3524030.html
Group:		Applications/Publishing/SGML
Source0:	ftp://ftp.kde.org/pub/kde/devel/docbook/SOURCES/%{name}-%{version}.tgz
# Source0-md5:	103c9828f24820df86e55e7862e28974
Patch0:		%{name}-chmod.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-progs
Requires(post,preun): /usr/bin/xmlcatalog
Requires:	fileutils
Requires:	grep
Requires:	libxml2-progs
Requires:	sed
Provides:	iso-entities
Provides:	iso-entities-8879.1986
Provides:	sgml-catalog
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		xml_catalog %{_datadir}/sgml/xml-iso-entities-8879.1986/catalog.xml

%description
sgml-common is a collection of entities and dtds that are useful for
SGML processing, but shouldn't need to be included in multiple
packages. It also includes an up-to-date Open Catalog file.

%description -l pl.UTF-8
sgml-common jest zestawem wspólnych dla większości aplikacji SGML-a
(bo opisanych w normie ISO 8879/1986) encji i DTD. Poza tym zawiera
aktualizowany przy dodawaniu nowych pakietów katalog SGML oraz
instalator nowych DTD.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# directory commonly used by docbook-* packages
# and the second used by {,x}html-dtd* ones
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/{docbook,html}

xmlcatalog --noout --create $RPM_BUILD_ROOT%{xml_catalog}
grep PUBLIC $RPM_BUILD_ROOT%{_datadir}/sgml/xml-iso-entities-8879.1986/catalog|sed 's/^/xmlcatalog --noout --add /;s/PUBLIC/public/;s=$= '$RPM_BUILD_ROOT'%{xml_catalog}=' |sh

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- sgml-common < 0.5-9
if ! grep -qs /etc/sgml/sgml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
fi

%post
if ! grep -qs /etc/sgml/sgml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
fi
if ! grep -qs /etc/sgml/xml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/xml-iso-entities-8879.1986.cat /usr/share/sgml/xml-iso-entities-8879.1986/catalog > /dev/null
fi
if ! grep -qs %{xml_catalog} /etc/xml/catalog ; then
	/usr/bin/xmlcatalog --noout --add nextCatalog "" %{xml_catalog} /etc/xml/catalog
fi

%preun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
	/usr/bin/install-catalog --remove /etc/sgml/xml-iso-entities-8879.1986.cat /usr/share/sgml/xml-iso-entities-8879.1986/catalog > /dev/null
	/usr/bin/xmlcatalog --noout --del %{xml_catalog} /etc/xml/catalog
fi

%files
%defattr(644,root,root,755)
%doc doc/HTML/*
%dir %{_sysconfdir}/sgml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sgml/sgml.conf
%attr(755,root,root) %{_bindir}/*
%{_datadir}/sgml
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sgml-common.spec,v $
Revision 1.57  2007/03/26 19:27:13  darekr
- fix R: (%post needs /usr/bin/xmlcatalog, not %pre)

Revision 1.56  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.55  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.54  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.53  2005/08/09 11:58:15  charles
- until is PreReq: s/libxml2-progs/libxml2/

Revision 1.52  2005/07/29 01:23:40  charles
- BR: automake

Revision 1.51  2005/07/17 11:07:55  pluto
- fixed R:, release 6 for Th.

  sgml-common            ##################################################
  /var/tmp/rpm-tmp.9447[10]: /usr/bin/xmlcatalog: not found
  error: post(sgml-common-0.6.3-5.noarch) scriptlet failed, exit status 127

Revision 1.50  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.49  2004/04/27 10:14:40  pawcioos
- fixed BR: libxml2-progs

Revision 1.48  2004/04/13 21:09:22  qboosh
- own /usr/share/sgml/html dir
- config(noreplace) for /etc/sgml/sgml.conf, not dir
- release 5

Revision 1.47  2003/08/31 17:08:06  mmazur
- rel 4 for ac

Revision 1.46  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.45  2003/08/18 08:09:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.44  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 06:26:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/01/30 13:46:51  qboosh
- added -s for grep to avoid messages when /etc/sgml/catalog didn't exist

Revision 1.41  2003/01/22 21:17:20  qboosh
- added /usr/share/sgml/docbook dir commonly used by docbook-* packages
- release 3

Revision 1.40  2002/10/08 13:11:03  qboosh
- BR: autoconf

Revision 1.39  2002/09/04 22:09:35  qboosh
- PreReq: libxml2 (/etc/xml/catalog belongs to it); release 2

Revision 1.38  2002/09/04 10:30:36  wiget
- updated to 0.6.3
- removed obsoleted patches (oldsyntax and quiet)
- added XML catalog support (for XML ISO 8879 entities)
- drop sgml-iso-ent-fix

Revision 1.37  2002/09/04 08:00:02  kloczek
- release 10: removed Conflicts with old docbook*.

Revision 1.36  2002/09/03 16:19:22  wiget
- release 9
- added script to "fix" PublicId for SGML ISO entities (now not conflict with XML ISO entities from DocBook XML)
- added proper R:
- added Conflicts: with old not "fixed" versions of SGML DTDs with SGML ISO entities usage
- register in centralized SMGL catalog only if not already registered
- unregister only if package are uninstaled (not if upgraded)
- added %%trigger to fix old brain-dead %preun

Revision 1.35  2002/03/27 10:49:14  roman
s/distibutable/distributable

Revision 1.34  2002/03/03 12:13:49  qboosh
- added %%{_datadir}/sgml/docbook dir to package
- release 8

Revision 1.33  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/10/03 08:16:43  qboosh
- added Source0 URL (note: (only) 0.6.3 on ftp)

Revision 1.29  2001/07/15 16:44:20  qboosh
- added missing dir: /etc/sgml
- release 7

Revision 1.28  2001/02/16 08:08:01  kloczek
- bump release to 6.

Revision 1.27  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.26  2000/06/28 14:04:30  klakier
- Release 7

Revision 1.25  2000/06/06 17:07:09  klakier
- release 6 (fix-info-dir changed)

Revision 1.24  2000/05/31 16:40:26  klakier
- release 5 (fix-sgml-catalog changed)

Revision 1.23  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/31 18:19:44  kloczek
- adapterized.

Revision 1.21  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.20  2000/03/27 14:14:52  klakier
- now provides fix-sgml-catalog
- removed unnecessary /etc/profile.d/sgml* files

Revision 1.19  1999/07/27 21:23:30  kloczek
- release 3.

Revision 1.18  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.17  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jan 10 1999 Ziemek Borowski <zmb@faq-bot.ziembor.waw.pl>
[0.2-1]
- install-catalog moved to %{_sbindir}
- added files: /etc/profile/sgml.{sh,csh}
- version from 0.0 to 0.2
- some changes inside %{_sbindir}/install-catalog
- [TODO] upgrade procedure

* Fri Oct  2 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0-6]
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added %{_datadir}/sgml/CATALOG to files as %ghost,
- %postun changed to %preun,
- simplification in %post and %preun,
- added full path to install-catalog in %post and %preun,
- install-catalog is now in separated Source#.

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [0.0-5]
- added pl translation,
- relocated libraries to %{_datadir},
- normalized .spec.

* Mon Sep 07 1998 Mark Galassi <rosalia@cygnus.com>
  [0.0-4]
- first release
